Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QTextEncoder Class Reference

The QTextEncoder class provides a state-based encoder. More...

    #include <QTextEncoder>

Note: All the functions in this class are reentrant.

- List of all members, including inherited members

### Public Functions

- QTextEncoder ( const QTextCodec * codec )
- ~QTextEncoder ()
- QByteArray fromUnicode ( const QString & str )
- QByteArray fromUnicode ( const QChar * uc, int len )
- QByteArray fromUnicode ( const QString & uc, int & lenInOut )

## Detailed Description

The QTextEncoder class provides a state-based encoder.

The encoder converts Unicode into another format, remembering any state that is required between calls.

See also QTextCodec::makeEncoder().

## Member Function Documentation

### QTextEncoder::QTextEncoder ( const QTextCodec * codec )

### QTextEncoder::~QTextEncoder ()

Destroys the encoder.

### QByteArray QTextEncoder::fromUnicode ( const QString & str )

Converts the Unicode string str into an encoded QByteArray.

### QByteArray QTextEncoder::fromUnicode ( const QChar * uc, int len )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Converts len characters (not bytes) from uc, producing a QByteArray.

### QByteArray QTextEncoder::fromUnicode ( const QString & uc, int & lenInOut )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.